#include "libgpcogl.h"

/* Call this once before anything else */
void gpcogl_glut_init(int *argc, char *argv[]);

/* Call this at the end to undo gpcogl_glut_init() and free all memory */
void gpcogl_glut_uninit(void);


/* Create a context for off-line rendering (hidden window) */
int gpcogl_glut_make_context(gpcogl_t *ctx, const char *option);

/* Destroy a context previously created using gpcogl_glut_make_context() */
void gpcogl_glut_destroy_context(gpcogl_t *ctx);

/* Create a debug context for rendering into a visible window; wsx and wsy
   must match the size of the output array */
int gpcogl_glut_make_context_window(gpcogl_t *ctx, int wsx, int wsy);
